core/iw/version-sh.patch
2010-11-21 19:33:12 +01:00

38 lines
983 B
Diff

--- iw-0.9.20/version.sh.orig 2010-07-14 17:02:21.000000000 +0000
+++ iw-0.9.20/version.sh 2010-09-21 22:39:53.739802790 +0000
@@ -5,20 +5,20 @@
echo '#include "iw.h"' > "$OUT"
-if head=`git rev-parse --verify HEAD 2>/dev/null`; then
- git update-index --refresh --unmerged > /dev/null
- descr=$(git describe)
-
- # on git builds check that the version number above
- # is correct...
- [ "${descr%%-*}" = "v$VERSION" ] || exit 2
-
- v="${descr#v}"
- if git diff-index --name-only HEAD | read dummy ; then
- v="$v"-dirty
- fi
-else
+#if head=`git rev-parse --verify HEAD 2>/dev/null`; then
+# git update-index --refresh --unmerged > /dev/null
+# descr=$(git describe)
+#
+# # on git builds check that the version number above
+# # is correct...
+# [ "${descr%%-*}" = "v$VERSION" ] || exit 2
+#
+# v="${descr#v}"
+# if git diff-index --name-only HEAD | read dummy ; then
+# v="$v"-dirty
+# fi
+#else
v="$VERSION"
-fi
+#fi
echo "const char iw_version[] = \"$v\";" >> "$OUT"